## mod gearman-4.0.5.20221217

=== debian/changelog ===
mod-gearman (4.0.5.20221217) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Sat, 17 Dec 2022 03:52:10 +0100
