## mod gearman-4.0.5.20221221

=== debian/changelog ===
mod-gearman (4.0.5.20221221) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Wed, 21 Dec 2022 01:42:48 +0100
