## mod gearman-4.0.5.20221223

=== debian/changelog ===
mod-gearman (4.0.5.20221223) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 23 Dec 2022 04:23:28 +0100
