## mod gearman-5.0.0

=== debian/changelog ===
mod-gearman (5.0.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 11 Jan 2023 11:50:56 +0100
