## mod gearman-5.0.1

=== debian/changelog ===
mod-gearman (5.0.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 27 Jan 2023 16:21:52 +0100
