## mod gearman-5.0.1.20230113

=== debian/changelog ===
mod-gearman (5.0.1.20230113) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 13 Jan 2023 04:21:46 +0100
