## mod gearman-5.0.2.20230204

=== debian/changelog ===
mod-gearman (5.0.2.20230204) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sat, 04 Feb 2023 02:50:49 +0100
