## mod gearman-5.0.3.20230221

=== debian/changelog ===
mod-gearman (5.0.3.20230221) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 21 Feb 2023 04:37:26 +0100

mod-gearman (5.0.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 05 Feb 2023 19:05:32 +0100
