## mod gearman-5.0.3.20230302

=== debian/changelog ===
mod-gearman (5.0.3.20230302) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Thu, 02 Mar 2023 03:44:37 +0100
