## mod gearman-5.0.3.20230305

=== debian/changelog ===
mod-gearman (5.0.3.20230305) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 05 Mar 2023 04:42:10 +0100
