## mod gearman-5.0.3.20230307

=== debian/changelog ===
mod-gearman (5.0.3.20230307) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 07 Mar 2023 04:43:37 +0100
