## mod gearman-5.1.2

=== debian/changelog ===
mod-gearman (5.1.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Thu, 29 Jun 2023 11:02:49 +0200

mod-gearman (5.1.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 21 Jun 2023 14:57:54 +0200

mod-gearman (5.1.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 08 Mar 2023 08:24:44 +0100
