## mod gearman-5.1.2.20230624

=== debian/changelog ===
mod-gearman (5.1.2.20230624) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sat, 24 Jun 2023 04:46:20 +0200
