=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
 	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf
 	rm -f debian/mod-gearman/etc/init.d/mod-gearman-worker
+	mkdir -p debian/tmp/run/mod-gearman-worker
 
 	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
 		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
