## mod gearman-5.1.2.20230626

=== debian/changelog ===
mod-gearman (5.1.2.20230626) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Mon, 26 Jun 2023 18:04:42 +0200
