## mod gearman-5.1.2.20230627

=== debian/changelog ===
mod-gearman (5.1.2.20230627) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 27 Jun 2023 16:39:56 +0200
