## mod gearman-5.1.2.20230628

=== debian/changelog ===
mod-gearman (5.1.2.20230628) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 28 Jun 2023 04:43:29 +0200
