## mod gearman-5.1.3

=== debian/changelog ===
mod-gearman (5.1.3) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 17 Oct 2023 23:32:21 +0200
