## mod gearman-5.1.3.20230906

=== debian/changelog ===
mod-gearman (5.1.3.20230906) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 06 Sep 2023 04:40:21 +0200
