## mod gearman-5.1.4.20231215

=== debian/changelog ===
mod-gearman (5.1.4.20231215) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 15 Dec 2023 05:36:14 +0100
