## mod gearman-5.1.4.20240225

=== debian/changelog ===
mod-gearman (5.1.4.20240225) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 25 Feb 2024 00:35:59 +0100
