## mod gearman-5.1.4.20240508

=== debian/changelog ===
mod-gearman (5.1.4.20240508) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 08 May 2024 03:04:54 +0200
