## mod gearman-5.1.5.20240913

=== debian/changelog ===
mod-gearman (5.1.5.20240913) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 13 Sep 2024 05:49:14 +0200
