## mod gearman-5.1.5.20241105

=== debian/changelog ===
mod-gearman (5.1.5.20241105) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 05 Nov 2024 05:17:32 +0100
