## mod gearman-5.1.8

=== debian/changelog ===
mod-gearman (5.1.8) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 16 Feb 2025 23:14:59 +0100

mod-gearman (5.1.7) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 18 Nov 2024 13:24:08 +0100

mod-gearman (5.1.6) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 13 Nov 2024 16:33:14 +0100

mod-gearman (5.1.5) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 06 Nov 2024 16:40:07 +0100
