## mod gearman-5.1.9.20250507

=== debian/changelog ===
mod-gearman (5.1.9.20250507) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 07 May 2025 03:57:23 +0200
