## mod gearman-5.2.2.20260125

=== debian/changelog ===
mod-gearman (5.2.2.20260125) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 25 Jan 2026 20:00:38 +0100

mod-gearman (5.2.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 12 Dec 2025 13:49:23 +0100

mod-gearman (5.2.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 24 Nov 2025 14:12:39 +0100

mod-gearman (5.1.9) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 03 Jun 2025 14:45:37 +0200
