## mod gearman-5.2.2.20260126

=== debian/changelog ===
mod-gearman (5.2.2.20260126) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Mon, 26 Jan 2026 00:33:27 +0100
