## mod layout-3.0.4

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,15 @@
 #   the used tools
 APXS=apxs
 APACHECTL=apachectl
-VERSION = 2.8
+CC=`apxs -q CC`
+INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
+LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
+VERSION = 3.0.4
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
-SRC = mod_layout.c utility.c
+SRC = mod_layout.c utility.c origin.c footer.c header.c
+OBJ = mod_layout.o utility.o origin.o footer.o header.o
 
 SHELL = /bin/sh
 PERL = perl
@@ -24,24 +28,39 @@
 TO_UNIX = @$(NOOP)
 
 #   additional defines, includes and libraries
-#DEF=-DLAYOUT_DEBUG
-#INC=-Imy/include/dir
-#LIB=-Lmy/lib/dir -lmylib
+# Apache itself won't compile with it this strict
+#DEF = -Wall -DDEBUG -Wtraditional -Wshadow -Wid-clash-len -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings-Wconversion -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wlong-long -Winline -Werror
+#DEF = -Wall -DDEBUG 
 
 #   the default target
 all: mod_layout.so
 
 #   compile the shared object file
-mod_layout.so: $(SRC) Makefile
-	$(APXS) -o $@ -c $(DEF) $(INC) $(LIB) $(SRC)
+mod_layout.so: $(OBJ)  Makefile
+	$(APXS) -c $(DEF) $(INC) $(LIB) $(OBJ)
 
+mod_layout.o : mod_layout.c
+	$(CC) $(INC) -c mod_layout.c $(DEF) $(LIB)
+
+utility.o : utility.c
+	$(CC) $(INC) -c utility.c $(DEF) $(LIB)
+
+origin.o : origin.c
+	$(CC) $(INC) -c origin.c $(DEF) $(LIB)
+
+footer.o : footer.c
+	$(CC) $(INC) -c footer.c $(DEF) $(LIB)
+
+header.o : header.c
+	$(CC) $(INC) -c header.c $(DEF) $(LIB)
 #   install the shared object file into Apache 
 install: all
+	strip mod_layout.so
 	$(APXS) -i -a -n 'layout' mod_layout.so
 
 #   cleanup
 clean:
-	-rm -f mod_layout.o utility.o mod_layout.so
+	rm -f mod_layout.o mod_layout.so $(OBJ)
 
 #   simple test
 test: reload
@@ -60,7 +79,11 @@
 stop:
 	$(APACHECTL) stop
 
-dist: $(DISTVNAME).tar$(SUFFIX)
+dist: version $(DISTVNAME).tar$(SUFFIX)
+
+version:
+	echo $(VERSION) > VERSION
+	echo "#define VERSION \"$(VERSION)\"" > version.h
 
 $(DISTVNAME).tar$(SUFFIX) : distdir
 	$(PREOP)
@@ -75,5 +98,12 @@
 	$(PERL) -MExtUtils::Manifest=manicopy,maniread \
 	-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"
 
-
-
+push :
+	if [ -F *.gz ] ; then \
+		rm *.gz; \
+	fi
+	make dist
+	scp *.gz root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp *.gz root@ftp.tangent.org:/export/ftp/pub/apache
+	scp faq.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/mod_layout.html
+	scp directives/*.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/directives/
