## mod layout-3.2

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 CC=`apxs -q CC`
 INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
 LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
-VERSION = 3.0.4
+VERSION = 3.2
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
-SRC = mod_layout.c utility.c origin.c footer.c header.c
-OBJ = mod_layout.o utility.o origin.o footer.o header.o
+SRC = mod_layout.c utility.c origin.c layout.c 
+OBJ = mod_layout.o utility.o origin.o layout.o 
 
 SHELL = /bin/sh
 PERL = perl
@@ -37,7 +37,7 @@
 
 #   compile the shared object file
 mod_layout.so: $(OBJ)  Makefile
-	$(APXS) -c $(DEF) $(INC) $(LIB) $(OBJ)
+	$(APXS) -c $(LIB) $(OBJ)
 
 mod_layout.o : mod_layout.c
 	$(CC) $(INC) -c mod_layout.c $(DEF) $(LIB)
@@ -48,8 +48,8 @@
 origin.o : origin.c
 	$(CC) $(INC) -c origin.c $(DEF) $(LIB)
 
-footer.o : footer.c
-	$(CC) $(INC) -c footer.c $(DEF) $(LIB)
+layout.o : layout.c
+	$(CC) $(INC) -c layout.c $(DEF) $(LIB)
 
 header.o : header.c
 	$(CC) $(INC) -c header.c $(DEF) $(LIB)
@@ -58,9 +58,14 @@
 	strip mod_layout.so
 	$(APXS) -i -a -n 'layout' mod_layout.so
 
+rpm: #all dist
+	cp $(DISTVNAME).tar$(SUFFIX) /usr/src/redhat/SOURCES
+	rpm -ba mod_layout.spec
+	cp /usr/src/redhat/RPMS/i386/$(DISTVNAME)*.i386.rpm .
+
 #   cleanup
 clean:
-	rm -f mod_layout.o mod_layout.so $(OBJ)
+	rm -f mod_layout.o mod_layout.so $(OBJ) *.gz *rpm
 
 #   simple test
 test: reload
@@ -79,11 +84,12 @@
 stop:
 	$(APACHECTL) stop
 
-dist: version $(DISTVNAME).tar$(SUFFIX)
+dist: version all $(DISTVNAME).tar$(SUFFIX) rpm
 
 version:
 	echo $(VERSION) > VERSION
 	echo "#define VERSION \"$(VERSION)\"" > version.h
+	cat mod_layout.spec | $(PERL) -e 'while (<STDIN>) { push @file, $$_} open(FILE, ">mod_layout.spec"); for(@file) { if (/^Version/) { print FILE "Version: ${VERSION}\n" } else { print FILE $$_}}'
 
 $(DISTVNAME).tar$(SUFFIX) : distdir
 	$(PREOP)
@@ -103,7 +109,9 @@
 		rm *.gz; \
 	fi
 	make dist
-	scp *.gz root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
-	scp *.gz root@ftp.tangent.org:/export/ftp/pub/apache
+	scp $(DISTVNAME).tar$(SUFFIX) root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp $(DISTVNAME).tar$(SUFFIX) root@ftp.tangent.org:/var/ftp/pub/apache
+	scp $(DISTVNAME)*.i386.rpm root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp $(DISTVNAME)*i386.rpm root@ftp.tangent.org:/var/ftp/pub/apache
 	scp faq.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/mod_layout.html
 	scp directives/*.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/directives/
