## mod layout-3.4

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 #   the used tools
 APXS=apxs
 APACHECTL=apachectl
-CC=`apxs -q CC`
-INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
-LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
-VERSION = 3.2
+CC=`$(APXS) -q CC`
+INC=-I`$(APXS) -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
+LD_SHLIB=`$(APXS) -q LDFLAGS_SHLIB`
+VERSION = 3.4
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
@@ -30,13 +30,13 @@
 #   additional defines, includes and libraries
 # Apache itself won't compile with it this strict
 #DEF = -Wall -DDEBUG -Wtraditional -Wshadow -Wid-clash-len -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings-Wconversion -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wlong-long -Winline -Werror
-#DEF = -Wall -DDEBUG 
+DEF = -Wall
 
 #   the default target
 all: mod_layout.so
 
 #   compile the shared object file
-mod_layout.so: $(OBJ)  Makefile
+mod_layout.so: $(OBJ)  Makefile mod_layout.h
 	$(APXS) -c $(LIB) $(OBJ)
 
 mod_layout.o : mod_layout.c
@@ -62,6 +62,7 @@
 	cp $(DISTVNAME).tar$(SUFFIX) /usr/src/redhat/SOURCES
 	rpm -ba mod_layout.spec
 	cp /usr/src/redhat/RPMS/i386/$(DISTVNAME)*.i386.rpm .
+	cp /usr/src/redhat/SRPMS/$(DISTVNAME)*.src.rpm .
 
 #   cleanup
 clean:
